Package org.apache.solr.common.params

# Interface CommonParams

public interface CommonParams
Parameters used across many handlers

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CommonParams.EchoParamStyle`
valid values for: `echoParams`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION`
"action" parameter for SolrPing
`static final Set<String>`
`ADMIN_PATHS`
/admin paths which don't require a target collection
`static final String`
`APISPEC_LOCATION`
`static final String`
`AUTHC_PATH`
`static final String`
`AUTHZ_PATH`
`static final String`
`CACHE`
Used as a local parameter on queries.
`static final String`
`CHILDDOC`
`static final String`
`COLLECTIONS_HANDLER_PATH`
`static final String`
`CONFIGSETS_HANDLER_PATH`
`static final String`
`CORES_HANDLER_PATH`
`static final String`
`COST`
Used as a local param on filter queries in conjunction with cache=false.
`static final String`
`CPU_ALLOWED`
Maximum query CPU usage value in milliseconds.
`static final String`
`DEBUG`
Whether to provide debug info for specific items.
`static final String`
`DEBUG_QUERY`
whether to include debug data for all components pieces, including doing explains
`static final String`
`DF`
default query field
`static final String`
`DISABLE`
"disable" value for SolrPing action
`static final String`
`DISABLE_REQUEST_ID`
Deprecated.
this was replaced by the auto-generated trace ids
`static final String`
`DISTRIB`
distrib string
`static final String`
`DISTRIB_STATS_CACHE`
Parameter to control the distributed term statistics request for current query when distributed IDF is enabled in solrconfig
`static final String`
`ENABLE`
"enable" value for SolrPing action
`static final String`
`EXCLUDE`
`static final String`
`EXPLAIN_OTHER`
another query to explain against
`static final String`
`EXPLAIN_STRUCT`
boolean indicating whether score explanations should be structured (true), or plain text (false)
`static final String`
`FAIL_ON_VERSION_CONFLICTS`
`static final String`
`FAILURE`
`static final String`
`FALSE`
`static final String`
`FIELD`
`static final String`
`FILE`
`static final String`
`FILES`
`static final String`
`FL`
query and init param for field list
`static final String`
`FQ`
Lucene query string(s) for filtering the results without affecting scoring
`static final String`
`HEADER_ECHO_HANDLER`
'true' if the header should include the handler name
`static final String`
`HEADER_ECHO_PARAMS`
include the parameters in the header *
`static final String`
`HEALTH_CHECK_HANDLER_PATH`
`static final String`
`ID`
`static final String`
`INDENT`
`static final String`
`INFO_HANDLER_PATH`
`static final String`
`INTROSPECT`
`static final String`
`IS_QUERY_CANCELLABLE`
Is the query cancellable?
`static final String`
`JAVABIN`
`static final String`
`JAVABIN_MIME`
`static final String`
`JSON`
`static final String`
`JSON_MIME`
`static final String`
`LOG_PARAMS_LIST`
which parameters to log (if not supplied all parameters will be logged) *
`static final String`
`MAX_HITS_ALLOWED`
The max hits to be collected per shard.
`static final String`
`MEM_ALLOWED`
Max query memory allocation value in mebibytes (float).
`static final String`
`METRICS_PATH`
`static final String`
`MIN_EXACT_COUNT`
The number of hits that need to be counted accurately.
`static final String`
`MULTI_THREADED`
Whether the search may use the multi-threaded logic
`static final String`
`NAME`
`static final String`
`NOW`
Override for the concept of "NOW" to be used throughout this request, expressed as milliseconds since epoch.
`static final String`
`OK`
`static final String`
`OMIT_HEADER`
include header in the response
`static final String`
`OUTPUT_KEY`
`static final String`
`PARTIAL_RESULTS`
If true then allow returning partial results.
`static final String`
`PATH`
`static final String`
`PING`
"ping" value for SolrPing action
`static final String`
`PING_HANDLER`
handler value for SolrPing
`static final String`
`Q`
query string
`static final String`
`QT`
Deprecated.
route requests by path instead, not using this parameter
`static final String`
`QUERY`
`DEBUG` value indicating an interest in debug output related to the Query (parsing, etc.)
`static final String`
`QUERY_UUID`
Custom query UUID if provided.
`static final String`
`REQUEST_ID`
Deprecated.
this was replaced by the auto-generated trace ids
`static final String`
`REQUEST_PURPOSE`
Request Purpose parameter added to each internal shard request when using debug=track
`static final String`
`RESULTS`
`DEBUG` value indicating an interest in debug output related to the results (explains)
`static final String`
`ROWS`
number of documents to return starting at "start"
`static final int`
`ROWS_DEFAULT`
`static final String`
`RQ`
rank query
`static final String`
`SEGMENT_TERMINATE_EARLY`
Whether the search may be terminated early within a segment.
`static final boolean`
`SEGMENT_TERMINATE_EARLY_DEFAULT`
`static final String`
`SOLR_REQUEST_CONTEXT_PARAM`
`static final String`
`SOLR_REQUEST_TYPE_PARAM`
`static final String`
`SORT`
sort order
`static final String`
`START`
zero based offset of matching documents to retrieve
`static final int`
`START_DEFAULT`
`static final String`
`STATUS`
`static final String`
`SYSTEM_INFO_PATH`
`static final String`
`TAG`
`static final String`
`TASK_CHECK_UUID`
UUID of the task whose status is to be checked
`static final String`
`TERMS`
`static final String`
`THREADS`
`static final String`
`TIME_ALLOWED`
Timeout value in milliseconds.
`static final String`
`TIMING`
`DEBUG` value indicating an interest in debug output related to timing
`static final String`
`TRACK`
`DEBUG` value indicating an interest in debug output related to the distributed tracking
`static final String`
`TRUE`
`static final String`
`TZ`
Specifies the TimeZone used by the client for the purposes of any DateMath rounding that may take place when executing the request
`static final String`
`VALUE`
`static final String`
`VALUE_LONG`
`static final String`
`VERSION_FIELD`
`static final String`
`WT`
the response writer type - the format of the response
`static final String`
`XSL`
stylesheet to apply to XML results
`static final String`
`ZK_PATH`
`static final String`
`ZK_STATUS_PATH`

## Field Details

### NOW

static final String NOW
Override for the concept of "NOW" to be used throughout this request, expressed as milliseconds since epoch. This is primarily used in distributed search to ensure consistent time values are used across multiple sub-requests.

See Also:
  - Constant Field Values

### TZ

static final String TZ
Specifies the TimeZone used by the client for the purposes of any DateMath rounding that may take place when executing the request

See Also:
  - Constant Field Values

### QT

@Deprecated static final String QT
Deprecated.
route requests by path instead, not using this parameter
the Request Handler (formerly known as the Query Type) - which Request Handler should handle the request.

See Also:
  - Constant Field Values

### WT

static final String WT
the response writer type - the format of the response

See Also:
  - Constant Field Values

### Q

static final String Q
query string

See Also:
  - Constant Field Values

### RQ

static final String RQ
rank query

See Also:
  - Constant Field Values

### DISTRIB

static final String DISTRIB
distrib string

See Also:
  - Constant Field Values

### SORT

static final String SORT
sort order

See Also:
  - Constant Field Values

### FQ

static final String FQ
Lucene query string(s) for filtering the results without affecting scoring

See Also:
  - Constant Field Values

### START

static final String START
zero based offset of matching documents to retrieve

See Also:
  - Constant Field Values

### START_DEFAULT

static final int START_DEFAULT

See Also:
  - Constant Field Values

### ROWS

static final String ROWS
number of documents to return starting at "start"

See Also:
  - Constant Field Values

### ROWS_DEFAULT

static final int ROWS_DEFAULT

See Also:
  - Constant Field Values

### INDENT

static final String INDENT

See Also:
  - Constant Field Values

### PING_HANDLER

static final String PING_HANDLER
handler value for SolrPing

See Also:
  - Constant Field Values

### ACTION

static final String ACTION
"action" parameter for SolrPing

See Also:
  - Constant Field Values

### DISABLE

static final String DISABLE
"disable" value for SolrPing action

See Also:
  - Constant Field Values

### ENABLE

static final String ENABLE
"enable" value for SolrPing action

See Also:
  - Constant Field Values

### PING

static final String PING
"ping" value for SolrPing action

See Also:
  - Constant Field Values

### XSL

static final String XSL
stylesheet to apply to XML results

See Also:
  - Constant Field Values

### FL

static final String FL
query and init param for field list

See Also:
  - Constant Field Values

### DF

static final String DF
default query field

See Also:
  - Constant Field Values

### DEBUG_QUERY

static final String DEBUG_QUERY
whether to include debug data for all components pieces, including doing explains

See Also:
  - Constant Field Values

### DEBUG

static final String DEBUG
Whether to provide debug info for specific items.

See Also:
  - `DEBUG_QUERY`
  - Constant Field Values

### TIMING

static final String TIMING
`DEBUG` value indicating an interest in debug output related to timing

See Also:
  - Constant Field Values

### RESULTS

static final String RESULTS
`DEBUG` value indicating an interest in debug output related to the results (explains)

See Also:
  - Constant Field Values

### QUERY

static final String QUERY
`DEBUG` value indicating an interest in debug output related to the Query (parsing, etc.)

See Also:
  - Constant Field Values

### TRACK

static final String TRACK
`DEBUG` value indicating an interest in debug output related to the distributed tracking

See Also:
  - Constant Field Values

### EXPLAIN_STRUCT

static final String EXPLAIN_STRUCT
boolean indicating whether score explanations should be structured (true), or plain text (false)

See Also:
  - Constant Field Values

### EXPLAIN_OTHER

static final String EXPLAIN_OTHER
another query to explain against

See Also:
  - Constant Field Values

### SEGMENT_TERMINATE_EARLY

static final String SEGMENT_TERMINATE_EARLY
Whether the search may be terminated early within a segment.

See Also:
  - Constant Field Values

### SEGMENT_TERMINATE_EARLY_DEFAULT

static final boolean SEGMENT_TERMINATE_EARLY_DEFAULT

See Also:
  - Constant Field Values

### PARTIAL_RESULTS

static final String PARTIAL_RESULTS
If true then allow returning partial results. If false and full results can't be produced return no results / error.

See Also:
  - Constant Field Values

### TIME_ALLOWED

static final String TIME_ALLOWED
Timeout value in milliseconds. If not set, or the value is < 0, there is no timeout.

See Also:
  - Constant Field Values

### MULTI_THREADED

static final String MULTI_THREADED
Whether the search may use the multi-threaded logic

See Also:
  - Constant Field Values

### CPU_ALLOWED

static final String CPU_ALLOWED
Maximum query CPU usage value in milliseconds. If not set, or the value is < 0, there is no timeout.

See Also:
  - Constant Field Values

### MEM_ALLOWED

static final String MEM_ALLOWED
Max query memory allocation value in mebibytes (float). If not set, or the value is <= 0.0, there is no limit.

See Also:
  - Constant Field Values

### MAX_HITS_ALLOWED

static final String MAX_HITS_ALLOWED
The max hits to be collected per shard.

See Also:
  - Constant Field Values

### IS_QUERY_CANCELLABLE

static final String IS_QUERY_CANCELLABLE
Is the query cancellable?

See Also:
  - Constant Field Values

### QUERY_UUID

static final String QUERY_UUID
Custom query UUID if provided.

See Also:
  - Constant Field Values

### TASK_CHECK_UUID

static final String TASK_CHECK_UUID
UUID of the task whose status is to be checked

See Also:
  - Constant Field Values

### MIN_EXACT_COUNT

static final String MIN_EXACT_COUNT
The number of hits that need to be counted accurately. If more than `MIN_EXACT_COUNT` documents match a query, then the value in "numFound" may be an estimate to speedup search.

See Also:
  - Constant Field Values

### HEADER_ECHO_HANDLER

static final String HEADER_ECHO_HANDLER
'true' if the header should include the handler name

See Also:
  - Constant Field Values

### HEADER_ECHO_PARAMS

static final String HEADER_ECHO_PARAMS
include the parameters in the header *

See Also:
  - Constant Field Values

### OMIT_HEADER

static final String OMIT_HEADER
include header in the response

See Also:
  - Constant Field Values

### CORES_HANDLER_PATH

static final String CORES_HANDLER_PATH

See Also:
  - Constant Field Values

### COLLECTIONS_HANDLER_PATH

static final String COLLECTIONS_HANDLER_PATH

See Also:
  - Constant Field Values

### INFO_HANDLER_PATH

static final String INFO_HANDLER_PATH

See Also:
  - Constant Field Values

### HEALTH_CHECK_HANDLER_PATH

static final String HEALTH_CHECK_HANDLER_PATH

See Also:
  - Constant Field Values

### CONFIGSETS_HANDLER_PATH

static final String CONFIGSETS_HANDLER_PATH

See Also:
  - Constant Field Values

### AUTHZ_PATH

static final String AUTHZ_PATH

See Also:
  - Constant Field Values

### AUTHC_PATH

static final String AUTHC_PATH

See Also:
  - Constant Field Values

### ZK_PATH

static final String ZK_PATH

See Also:
  - Constant Field Values

### ZK_STATUS_PATH

static final String ZK_STATUS_PATH

See Also:
  - Constant Field Values

### SYSTEM_INFO_PATH

static final String SYSTEM_INFO_PATH

See Also:
  - Constant Field Values

### METRICS_PATH

static final String METRICS_PATH

See Also:
  - Constant Field Values

### STATUS

static final String STATUS

See Also:
  - Constant Field Values

### OK

static final String OK

See Also:
  - Constant Field Values

### FAILURE

static final String FAILURE

See Also:
  - Constant Field Values

### ADMIN_PATHS

static final Set<String> ADMIN_PATHS
/admin paths which don't require a target collection

### APISPEC_LOCATION

static final String APISPEC_LOCATION

See Also:
  - Constant Field Values

### INTROSPECT

static final String INTROSPECT

See Also:
  - Constant Field Values

### LOG_PARAMS_LIST

static final String LOG_PARAMS_LIST
which parameters to log (if not supplied all parameters will be logged) *

See Also:
  - Constant Field Values

### EXCLUDE

static final String EXCLUDE

See Also:
  - Constant Field Values

### TAG

static final String TAG

See Also:
  - Constant Field Values

### TERMS

static final String TERMS

See Also:
  - Constant Field Values

### OUTPUT_KEY

static final String OUTPUT_KEY

See Also:
  - Constant Field Values

### FIELD

static final String FIELD

See Also:
  - Constant Field Values

### VALUE

static final String VALUE

See Also:
  - Constant Field Values

### THREADS

static final String THREADS

See Also:
  - Constant Field Values

### TRUE

static final String TRUE

### FALSE

static final String FALSE

### CACHE

static final String CACHE
Used as a local parameter on queries. cache=false means don't check any query or filter caches. cache=true is the default.

See Also:
  - Constant Field Values

### COST

static final String COST
Used as a local param on filter queries in conjunction with cache=false. Filters are checked in order, from the smallest cost to largest. If cost>=100 and the query implements PostFilter, then that interface will be used to do post query filtering.

See Also:
  - Constant Field Values

### REQUEST_ID

@Deprecated(since="9.4") static final String REQUEST_ID
Deprecated.
this was replaced by the auto-generated trace ids
Request ID parameter added to all distributed queries (that do not opt out)

See Also:
  - `DISABLE_REQUEST_ID`
  - Constant Field Values

### DISABLE_REQUEST_ID

@Deprecated(since="9.4") static final String DISABLE_REQUEST_ID
Deprecated.
this was replaced by the auto-generated trace ids
An opt-out flag to prevent the addition of `REQUEST_ID` tracing on distributed queries

Defaults to 'false' if not specified.

See Also:
  - `REQUEST_ID`
  - Constant Field Values

### DISTRIB_STATS_CACHE

static final String DISTRIB_STATS_CACHE
Parameter to control the distributed term statistics request for current query when distributed IDF is enabled in solrconfig

Defaults to 'true' if not specified. Distributed stats request will be disabled by setting to 'false'

See Also:
  - Constant Field Values

### REQUEST_PURPOSE

static final String REQUEST_PURPOSE
Request Purpose parameter added to each internal shard request when using debug=track

See Also:
  - Constant Field Values

### JAVABIN

static final String JAVABIN

See Also:
  - Constant Field Values

### JSON

static final String JSON

See Also:
  - Constant Field Values

### PATH

static final String PATH

See Also:
  - Constant Field Values

### NAME

static final String NAME

See Also:
  - Constant Field Values

### VALUE_LONG

static final String VALUE_LONG

See Also:
  - Constant Field Values

### SOLR_REQUEST_CONTEXT_PARAM

static final String SOLR_REQUEST_CONTEXT_PARAM

See Also:
  - Constant Field Values

### SOLR_REQUEST_TYPE_PARAM

static final String SOLR_REQUEST_TYPE_PARAM

See Also:
  - Constant Field Values

### VERSION_FIELD

static final String VERSION_FIELD

See Also:
  - Constant Field Values

### FAIL_ON_VERSION_CONFLICTS

static final String FAIL_ON_VERSION_CONFLICTS

See Also:
  - Constant Field Values

### ID

static final String ID

See Also:
  - Constant Field Values

### JSON_MIME

static final String JSON_MIME

See Also:
  - Constant Field Values

### JAVABIN_MIME

static final String JAVABIN_MIME

See Also:
  - Constant Field Values

### FILE

static final String FILE

See Also:
  - Constant Field Values

### FILES

static final String FILES

See Also:
  - Constant Field Values

### CHILDDOC

static final String CHILDDOC

See Also:
  - Constant Field Values